WinRas.RASCREDENTIALS (JNA API)
Description: declaration: package: com.sun.jna.platform.win32, interface: WinRas, class: RASCREDENTIALS

Package com.sun.jna.platform.win32

# Class WinRas.RASCREDENTIALS

java.lang.Object
com.sun.jna.Structure
com.sun.jna.platform.win32.WinRas.RASCREDENTIALS

Direct Known Subclasses:
  `WinRas.RASCREDENTIALS.ByReference`

Enclosing interface:
  WinRas

@FieldOrder({"dwSize","dwMask","szUserName","szPassword","szDomain"}) public static class WinRas.RASCREDENTIALS extends Structure
The RASCREDENTIALS structure is used with the RasGetCredentials and RasSetCredentials functions to specify the user credentials associated with a RAS phone-book entry.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `WinRas.RASCREDENTIALS.ByReference`

  ## Nested classes/interfaces inherited from class com.sun.jna.Structure

  `Structure.ByValue, Structure.FieldOrder, Structure.StructField`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `int`
  `dwMask`
  Specifies a set of bit flags.
  `int`
  `dwSize`
  Specifies the size, in bytes, of the RASCREDENTIALS structure.
  `char[]`
  `szDomain`
  A null-terminated string that contains a domain name.
  `char[]`
  `szPassword`
  Specifies a null-terminated string that contains a password.
  `char[]`
  `szUserName`
  Specifies a null-terminated string that contains a user name.

  ### Fields inherited from class com.sun.jna.Structure

  `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RASCREDENTIALS()`
  `RASCREDENTIALS(Pointer memory)`

- ## Method Summary

  ### Methods inherited from class com.sun.jna.Structure

  `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### dwSize

    public int dwSize
    Specifies the size, in bytes, of the RASCREDENTIALS structure.

  - ### dwMask

    public int dwMask
    Specifies a set of bit flags. These flags indicate the members of this structure that are valid. On input, set the flags to indicate the members of interest.

  - ### szUserName

    public char[] szUserName
    Specifies a null-terminated string that contains a user name.

  - ### szPassword

    public char[] szPassword
    Specifies a null-terminated string that contains a password.

  - ### szDomain

    public char[] szDomain
    A null-terminated string that contains a domain name.

- ## Constructor Details

  - ### RASCREDENTIALS

    public RASCREDENTIALS()

  - ### RASCREDENTIALS

    public RASCREDENTIALS(Pointer memory)